"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useQuery = void 0;
const core_1 = require("react-query/core");
const vue_1 = require("vue");
const useBaseQuery_1 = require("./useBaseQuery");
const utils_1 = require("./utils");
function useQuery(arg1, arg2, arg3) {
    const parsedOptions = vue_1.computed(() => utils_1.parseQueryArgs(arg1, arg2, arg3));
    return useBaseQuery_1.useBaseQuery(parsedOptions.value, core_1.QueryObserver);
}
exports.useQuery = useQuery;
